<template>
  <el-main>
    <el-form ref="form" :model="form" label-width="130px">
      <el-form-item label="案件名称">
        <el-input v-model="form.name" placeholder="案件名称"></el-input>
      </el-form-item>
      <h2 style="text-align: center">设备情况</h2>
      <el-row>
        <el-col :span="12">
          <el-form-item label="设备名称">
            <el-input v-model="form.name" placeholder="设备名称"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="设备编号">
            <el-input v-model="form.name" placeholder="设备编号"></el-input>
          </el-form-item>
        </el-col>
      </el-row>
      <el-form-item label="设置地点">
        <el-input v-model="form.name" placeholder="设置地点"></el-input>
      </el-form-item>
      <el-form-item label="公开情况">
        <el-input v-model="form.name" placeholder="公开情况"></el-input>
      </el-form-item>
      <el-form-item label="获取时间">
        <el-date-picker
          v-model="form.DataTime"
          type="datetime"
          :value-format="'yyyy-MM-dd HH:mm:ss'"
          placeholder="选择日期时间">
        </el-date-picker>
      </el-form-item>
      <h2 style="text-align: center">审核</h2>
      <el-form-item label="内容及事项">
        <el-input type="textarea" :rows="2" v-model="form.name" placeholder="内容及事项"></el-input>
      </el-form-item>
      <el-form-item label="法制及审核">
        <div>
          <spin>是否经过电子技术审核（含设备符合标准）</spin>
          <el-radio v-model="form.radio" label="是">是</el-radio>
          <el-radio v-model="form.radio" label="否">否</el-radio>
        </div>
        <div>
          <spin>记录内容是否真实、清晰、完整、准确</spin>
          <el-radio v-model="form.radio1" label="是">是</el-radio>
          <el-radio v-model="form.radio1" label="否">否</el-radio>
        </div>
        <div>
          <spin>电子技术监控设备是否设置合理</spin>
          <el-radio v-model="form.radio2" label="是">是</el-radio>
          <el-radio v-model="form.radio2" label="否">否</el-radio>
        </div>
        <div>
          <spin>电子技术监控设备是否标志明显</spin>
          <el-radio v-model="form.radio3" label="是">是</el-radio>
          <el-radio v-model="form.radio3" label="否">否</el-radio>
        </div>
        <div>
          <spin>电子技术监控设备设置地点是否公开</spin>
          <el-radio v-model="form.radio4" label="是">是</el-radio>
          <el-radio v-model="form.radio4" label="否">否</el-radio>
        </div>
        <div>
          <spin>是否发现其他不符合要求的情况</spin>
          <el-radio v-model="form.radio5" label="是">是</el-radio>
          <el-radio v-model="form.radio5" label="否">否</el-radio>
        </div>
      </el-form-item>
      <el-form-item label="审核意见">
        <el-input type="textarea" :rows="2" v-model="form.name" placeholder="审核意见"></el-input>
      </el-form-item>
      <el-row>
        <el-col :span="12">
          <el-form-item label="审核人">
            <el-input v-model="form.name" placeholder="审核人"></el-input>
          </el-form-item>
        </el-col>
        <el-col :span="12">
          <el-form-item label="审核时间">
            <el-date-picker
              v-model="form.DataEndTime"
              type="date"
              :value-format="'yyyy-MM-dd'"
              placeholder="审核时间">
            </el-date-picker>
          </el-form-item>
        </el-col>
      </el-row>
      <WordView ref="wordInfo" :isShowYulan="showView" @cancel="cancelWord"></WordView>
    </el-form>
    <div style="text-align: center">
      <el-button v-if="isFinish!='2'" plain @click="dataFormSubmit('0')">保存</el-button>
      <el-button v-if="isFinish!='2'" type="warning" plain @click="dataFormSubmit('1')">定稿</el-button>
      <el-button type="primary" plain @click="viewVord(form)">预览</el-button>
      <el-button type="success" plain @click="downloadWord(form)">下载</el-button>
    </div>
  </el-main>
</template>

<script>
import {getObj, saveObj} from "@/api/News/samplingEvidenceForm";
import WordView from "@/views/News/word-view";

export default {
  name: "ElectronicTechnologyMonitoring",
  props: ['isShowYulan', 'id', 'isFinish', 'processId', 'title'],
  data() {
    return {
      showView: false,
      form: {
        unitName: "",
        light: "",
        name: '',
        DataTime: "",
        dataEndTime: "",
      }
    }
  },
  methods: {
    init() {
      getObj(this.id).then((res) => {
        // 转换null为""
        let v = res.data.data;
        for (let attr in v) {
          if (v[attr] == null) {
            v[attr] = "";
          }
        }
        let str = JSON.stringify(v);
        let data = JSON.parse(str);
        this.form = data;
      });
    },
    dataFormSubmit(type) {
      this.$refs['form'].validate((valid) => {
        if (valid) {
          let obj = this;
          if ("1" == type) {
            this.$confirm('保存为定稿将不能修改，是否继续？', '提示', {
              confirmButtonText: '是',
              cancelButtonText: '否',
              type: 'warning'
            }).then(function () {
              obj.form.registerState = type;
              obj.form.registerId = obj.id;
              obj.form.processId = obj.processId;
              saveObj(obj.form).then((res) => {
                // this.submitLoading = false;
                obj.$message.success('操作成功');
                obj.cancel();
                obj.$emit('getDataList');
              })
            })
          } else {
            obj.form.registerState = type;
            obj.form.registerId = obj.id;
            obj.form.processId = obj.processId;
            saveObj(obj.form).then((res) => {
              // this.submitLoading = false;
              obj.$message.success("操作成功");
              obj.cancel();
              obj.$emit('getDataList');
            })
          }
        }
      })
    },
    cancell(e, d) {
      this.isShow = e;
      if (d != undefined) {
        this.form.goodsDis.push(d)
      }
    },
    viewVord(data) {
      if (data.registerState == null || data.registerState == "") {
        //预览前先进行保存
        data.registerState = '0';
        data.registerId = this.id;
        data.processId = this.processId;
        saveObj(data).then((res) => {
        })
      }
      //↓↓↓↓↓↓以下部分根据具体业务修改↓↓↓↓↓↓
      //格式转换
      let wordData = this.transforData(data);
      //↑↑↑↑↑↑以上部分根据具体业务修改↑↑↑↑↑↑
      this.showView = true;
      this.$nextTick(() => {
        this.$refs.wordInfo.init(wordData, "/wordes/saveproofDisposeInform.docx");
      })
    },
    downloadWord(data) {
      if (data.registerState == null || data.registerState == "") {
        //预览前先进行保存
        data.registerState = '0';
        data.registerId = this.id;
        data.processId = this.processId;
        saveObj(data).then((res) => {
        })
      }
      let wordData = this.transforData(data);
      WordView.methods.exportDoc(wordData, "/wordes/saveproofDisposeInform.docx", this.title + '.docx');
    },
  }
}
</script>

<style scoped>

</style>
